/*
 * @Author: ysh
 * @Date: 2025-05-16 10:38:45
 * @LastEditors: 
 * @LastEditTime: 2025-05-16 10:39:10
 */
import request from '@/utils/request'

// 查询cmc预算外开支列表
export function listOther(query) {
  return request({
    url: '/oa/budgetOther/list',
    method: 'get',
    params: query
  })
}

// 查询cmc预算外开支详细
export function getOther(expenseId) {
  return request({
    url: '/oa/budgetOther/' + expenseId,
    method: 'get'
  })
}

// 新增cmc预算外开支
export function addOther(data) {
  return request({
    url: '/oa/budgetOther',
    method: 'post',
    data: data
  })
}

// 修改cmc预算外开支
export function updateOther(data) {
  return request({
    url: '/oa/budgetOther',
    method: 'put',
    data: data
  })
}

// 删除cmc预算外开支
export function delOther(expenseId) {
  return request({
    url: '/oa/budgetOther/' + expenseId,
    method: 'delete'
  })
}
